# SyntaxErrorException Class Reference
[Exceptions]

Inheritance diagram for SyntaxErrorException:
[legend]

List of all members.

## Public Member Functions

| __construct ($message, $errorLine=null, $errorPosition=null, $code=0)
| getErrorLine ()
| getErrorPosition ()
| __toString ()

## Private Attributes

| $errorLine = null
| $errorPosition = null

## Detailed Description

Definition at line 15 of file SyntaxErrorException.class.php.

## Constructor & Destructor Documentation

SyntaxErrorException::__construct | ( | $ | message,
|  | $ | errorLine = `null`,
|  | $ | errorPosition = `null`,
|  | $ | code = `0` |
| ) |  |  |

Definition at line 20 of file SyntaxErrorException.class.php.

References $errorLine, and $errorPosition.

## Member Function Documentation

SyntaxErrorException::__toString | ( |  | ) |

Reimplemented from BaseException.

Definition at line 40 of file SyntaxErrorException.class.php.

References Assert::checkInteger().

Here is the call graph for this function:

SyntaxErrorException::getErrorLine | ( |  | ) |

Definition at line 30 of file SyntaxErrorException.class.php.

SyntaxErrorException::getErrorPosition | ( |  | ) |

Definition at line 35 of file SyntaxErrorException.class.php.

## Member Data Documentation

SyntaxErrorException::$errorLine = null`[private]`

Definition at line 17 of file SyntaxErrorException.class.php.

Referenced by __construct().

SyntaxErrorException::$errorPosition = null`[private]`

Definition at line 18 of file SyntaxErrorException.class.php.

Referenced by __construct().

The documentation for this class was generated from the following file:

- core/Exceptions/SyntaxErrorException.class.php